Subject: Re: bug#49861: 28.0.50; url-http async process hangs spins

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 05 Aug 2021 12:45:12 +0200

dick <[email-masked]> writes:

>> I had a look in my *Messages* (and I've got an infinite
>> `message-log-max'), and I didn't see anything about anything spinning
>> there.  But:
>
> "Spinning in url-retrieve-synchronously: nil" won't appear in *Messages*.  It
> only appears in *URL-DEBUG* which must be deliberately activated via
> `(setq url-debug t)`.

Ah; right.  In that case I do get a smattering of:

retrieval -> Spinning in url-retrieve-synchronously: nil (#<buffer  *http debbugs.gnu.org:443*-555083>)

But no stuck processes in the process list, as far as I can tell.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no